Bug 1474436 - [RFE] Radosgw-admin utility to list users
Summary: [RFE] Radosgw-admin utility to list users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 3.0
Assignee: Matt Benjamin (redhat)
QA Contact: vidushi
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-07-24 15:24 UTC by shilpa
Modified: 2017-12-05 23:38 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-12.1.2-1.el7cp Ubuntu: ceph_12.1.2-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.New "radosgw-admin user list" command Previously, the command that listed users and subusers required the user's uid as an input. This approach required extra commands. This release introduces the `radosgw-admin user list` command, which lists all users and subusers without requiring any uids.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:38:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description shilpa 2017-07-24 15:24:16 UTC
Description of problem:

Currently RGW admin utility has the capability to print out user/subuser info but the command expects a user uid as an input. And to check the uid we have to run rados command to list rgw .users pool. It would be nice to have a single radosgw-admin command that lists all the users along with user details. 

Something like: 
radosgw-admin user list

Comment 2 Orit Wasserman 2017-07-24 15:48:22 UTC
(In reply to shilpa from comment #0)
> Description of problem:
> 
> Currently RGW admin utility has the capability to print out user/subuser
> info but the command expects a user uid as an input. And to check the uid we
> have to run rados command to list rgw .users pool. It would be nice to have
> a single radosgw-admin command that lists all the users along with user
> details. 
> 
> Something like: 
> radosgw-admin user list

The command "radosgw-admin user list" was added in upstream Kraken and will be part of the 3.0 release.
For 2.x you can use "radosgw-admin metadata list user"

Comment 3 Ken Dreyer (Red Hat) 2017-08-08 19:34:15 UTC
Shilpa does "radosgw-admin user list" work for you in your testing for RHCEPH 3?

Comment 15 errata-xmlrpc 2017-12-05 23:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.